﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace SilverlightApplication13
{
  public class ObjectRow : INotifyPropertyChanged
  {
    public string Object { get; set; }

    public ObservableCollection<PVRow> Childs { get; set; }

    public void RaisePropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
      {
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
  }

  public class PVRow : INotifyPropertyChanged
  {
    private PER _period = null;

    public string PlanningYear { get; set; }
    public PER Period 
    {
      get { return _period; }
      set
      {
        if (_period != value)
        {
          _period = value;
          RaisePropertyChanged("Period");
        }
      }
    }
    public string Element { get; set; }
    public string Value { get; set; }

    public void RaisePropertyChanged(string propertyName)
    {
      if (PropertyChanged != null)
      {
        PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
      }
    }

    public event PropertyChangedEventHandler PropertyChanged;
  }

  public class PER : IComparable 
  {
    public int Id { get; set; }
    public string Desc { get; set; }

    int IComparable.CompareTo(object obj)
    {
      return this.Desc.CompareTo(((PER)obj).Desc);
    }
  }

}
